CifFileReadDef Class Reference

Private class that represents a CIF parser controller. More...

`#include <CifFileReadDef.h>`

Collaboration diagram for CifFileReadDef:

## Public Member Functions

| CifFileReadDef (std::vector< std::string > dblist, std::vector< std::string >clist, type dbtype=A, type ctype=A)
| CifFileReadDef ()
| ~CifFileReadDef ()
void | SetDataBlockList (std::vector< std::string > dblist, type dbtype=A)
void | SetCategoryList (std::vector< std::string >clist, type ctype=A)
void | SetDataBlockListType (type dbtype=A)
void | SetCategoryListType (type ctype=A)
int | AreAllCatsRead ()
void | IncreaseNumReadCats ()
int | Category_OK (const std::string &categoryName)
int | Datablock_OK (const std::string &datablockName)

## Protected Attributes

std::vector< std::string > | _datablocklist
std::vector< std::string > | _categorylist
type | _datablocklisttype
type | _categorylisttype

## Detailed Description

Private class that represents a CIF parser controller.

## Constructor & Destructor Documentation

CifFileReadDef::CifFileReadDef | ( | std::vector< std::string > | dblist,
|  | std::vector< std::string > | clist,
|  | type | dbtype = `A`,
|  | type | ctype = `A`
| ) |  |

CifFileReadDef::CifFileReadDef | ( |  | ) |

inline

References INVALID_NUM_CATS.

CifFileReadDef::~CifFileReadDef | ( |  | ) |

inline

## Member Function Documentation

int CifFileReadDef::AreAllCatsRead | ( |  | ) |

int CifFileReadDef::Category_OK | ( | const std::string & | categoryName | ) |

int CifFileReadDef::Datablock_OK | ( | const std::string & | datablockName | ) |

void CifFileReadDef::IncreaseNumReadCats | ( |  | ) |

void CifFileReadDef::SetCategoryList | ( | std::vector< std::string > | clist,
|  | type | ctype = `A`
| ) |  |

void CifFileReadDef::SetCategoryListType | ( | type | ctype = `A` | ) |

inline

void CifFileReadDef::SetDataBlockList | ( | std::vector< std::string > | dblist,
|  | type | dbtype = `A`
| ) |  |

void CifFileReadDef::SetDataBlockListType | ( | type | dbtype = `A` | ) |

inline

## Member Data Documentation

std::vector<std::string> CifFileReadDef::_categorylist

protected

type CifFileReadDef::_categorylisttype

protected

std::vector<std::string> CifFileReadDef::_datablocklist

protected

type CifFileReadDef::_datablocklisttype

protected

The documentation for this class was generated from the following file:

- rcsb/CifFileReadDef.h